# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/thermal/brcm,bcm2835-thermal.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Broadcom BCM2835 thermal sensor

maintainers:
  - Stefan Wahren <stefan.wahren@i2se.com>

allOf:
  - $ref: thermal-sensor.yaml#

properties:
  compatible:
    enum:
      - brcm,bcm2835-thermal
      - brcm,bcm2836-thermal
      - brcm,bcm2837-thermal

  reg:
    maxItems: 1

  clocks:
    maxItems: 1

  "#thermal-sensor-cells":
    const: 0

unevaluatedProperties: false

required:
  - compatible
  - reg
  - clocks
  - '#thermal-sensor-cells'

examples:
  - |
    #include <dt-bindings/clock/bcm2835.h>

    thermal@7e212000 {
      compatible = "brcm,bcm2835-thermal";
      reg = <0x7e212000 0x8>;
      clocks = <&clocks BCM2835_CLOCK_TSENS>;
      #thermal-sensor-cells = <0>;
    };
